Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 155156

Summary: Error in postinstall script of version 1.4.2.0-40jpp_14rh.x86_64
Product: [Fedora] Fedora Reporter: Dr. Peter Boy <pb>
Component: java-1.4.2-gcj-compatAssignee: Thomas Fitzsimmons <fitzsim>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 4CC: grinnz
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-05-17 22:03:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 136450    

Description Dr. Peter Boy 2005-04-17 08:42:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de_DE; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
In the process of updating to the mentioned version an error occures:

/var/tmp/rpm-tmp.97539: line 7: rebuild-security-providers: command not found
error: %postun(java-1.4.2-gcj-compat-1.4.2.0-40jpp_14rh.x86_64) scriptlet failed,
exit status 127

Version-Release number of selected component (if applicable):
java-1.4.2-gcj-compat.x86_64 0:1.4.2.0-40jpp_18rh

How reproducible:
Always

Steps to Reproduce:
1. install test2 x86_64
2. update package
3.
  

Actual Results:  error message

Expected Results:  no error message

Additional info:

Comment 1 Dr. Peter Boy 2005-04-17 10:55:34 UTC
actually, the script /usr/bin/rebuild-security-provides is listed as a file,
which will be installed, but acually it is missed after installation (on the
x86_64 architecture at least). Nevertheless it conflicts with jpackage-utils
1.6.2-1jpp_6rh and prevents jpackage-utils from beeing updated.

Comment 2 Andrew Overholt 2005-04-21 13:16:04 UTC
Does this happen in the latest packages available?

Comment 3 Dr. Peter Boy 2005-04-23 17:37:14 UTC
Still the same error message, but maybe I didn't test what you wanted me to test :-)

I did the following:

- Fresh installation of test 2 iso
- yum update java-1.4.2-gcj-compat
  which installed 25 packages to resolve all dependencies
- error message during cleanup phase:
  Cleanup: java-1.4.2-gcj-compat   ######## [37/51 ]
  /var/tmp/rpm-mp.69815: line 7 .... (same message as above)
  Cleanup: gcc-c++   ####...###  [38/51]

The script /usr/bin/rebuild-security-provider, which was present after
installation of the iso, is missing now after the yum update

Comment 4 Dr. Peter Boy 2005-04-23 17:57:25 UTC
As an additional report:

After pderforming a yum update java-1.4.2-gcj-compat, 2 versions of this package
are installed: _14rh (from installation of iso) and _18rh (the updated version).

Trying to update jpackage-utils results in an error message:

Transaction Check Error: file /usr/bin/rebuild-security-providers from install
auf jpackage-utils-1.6.2-1jpp_6rh conflicts wich file frompackage
java-1.4.2-gcj-compat-1.4.2.0-40jpp_14rh.

Unfortunately you can't erase the _14rh version due to an error in the %postun
script (rebuild-security-providers: command not found). But the problem with
upgrading jpackage-utils seems to be a followup of the java-..-gcj-compat problem.

Comment 5 Dr. Peter Boy 2005-04-23 20:00:11 UTC
Did some further investigation: the removal of the file
/usr/bin/rebuild-security-providers happens while updating the package
java-1.4.2-gcj-compat-1.4.2.0-40jpp_18rh.x86_64.rpm, not while updating one of
the other packages you have to update at the same time
(java-1.4.2-gcj-compat-devel, ....-src)

Comment 6 Thomas Fitzsimmons 2005-04-25 22:52:31 UTC
I think this is is just a transition problem.  I moved
rebuild-security-providers from java-1.4.2-gcj-compat to jpackage-utils without
worrying about upgrade paths.  Can you remove your current java-1.4.2-gcj-compat
packages with "rpm -e --noscripts" and then reinstall them with "yum install
java-1.4.2-gcj-compat java-1.4.2-gcj-compat-src java-1.4.2-gcj-compat-devel"?


Comment 7 Thomas Fitzsimmons 2005-04-28 00:43:17 UTC
Any updates on this?


Comment 8 Dan Book 2005-05-09 18:32:12 UTC
Same issue with i386 version of test2 release, by the way.

Comment 9 Thomas Fitzsimmons 2005-05-09 19:14:15 UTC
Dan, so you install test2, then:

yum install java-1.4.2-gcj-compat

and you get and error message like:

error: %postun(java-1.4.2-gcj-compat-1.4.2.0-40jpp_14rh.x86_64) scriptlet failed,
exit status 127

What is the initial version, and to what version are you updating?


Comment 10 Dan Book 2005-05-09 21:54:37 UTC
I did a yum update:
yum update java-1.4.2-gcj-compat

and got that error:
/var/tmp/rpm-tmp.97539: line 7: rebuild-security-providers: command not found
error: %postun(java-1.4.2-gcj-compat-1.4.2.0-40jpp_14rh.i386) scriptlet failed,
exit status 127

It was updating from java-1.4.2-gcj-compat-1.4.2.0-40jpp_14rh.i386 to
java-1.4.2-gcj-compat-1.4.2.0-40jpp_18rh.i386. This resulted in having both
releases installed. I did the rpm -e --noscripts on the 40jpp_14rh release
leaving the 40jpp_18rh release, but i don't know if this correctly uninstalled
the older release.

Comment 11 Thomas Fitzsimmons 2005-05-17 22:03:14 UTC
Turns out we needed:

Requires(post,postun): jpackage-utils >= 0:1.6.3-1jpp_1rh

in the spec file, to ensure that rebuild-security-providers is available at
install time.  Should be fixed in Rawhide now.  Closing.